Spend limits
Retrieve a project spend limit
GET
/
v1
/
organization
/
projects
/
{project_id}
/
spend_limit
Retrieve a project spend limit
curl --request GET \
--url https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"scope": "organization",
"amount_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"object": "organization.spend_limit",
"project_id": "<string>",
"period": "monthly",
"status": "active",
"alert_threshold_basis_points": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}Authorizations
Server-side organization-owned Abliteration Admin API key. Never expose this credential in browser code.
Path Parameters
Public project ID.
Required string length:
1 - 200Response
Successful Response
Available options:
organization, project Allowed value:
"organization.spend_limit"Allowed value:
"monthly"Allowed value:
"active"Last modified on October 1, 2026
⌘I
Retrieve a project spend limit
curl --request GET \
--url https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abliteration.ai/v1/organization/projects/{project_id}/spend_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"scope": "organization",
"amount_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"object": "organization.spend_limit",
"project_id": "<string>",
"period": "monthly",
"status": "active",
"alert_threshold_basis_points": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "auth_error",
"request_id": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
}